#ifndef KEYMAPTABLE_H
#define KEYMAPTABLE_H

#include <map>
#include <string>
#include <stdio.h>
#include <fstream>

void getConversionTable(FILE* from_xmodmap, std::map<int, std::string>* keymap, std::map<int, std::string>* keymap_shift, std::map<int, std::string>* keymap_altgr);
void showKeymaps(std::map<int, std::string>& keymap, std::map<int, std::string>& keymap_shift, std::map<int, std::string>& keymap_altgr);
int interpretAndSendKey(int socket, std::ofstream& logFile,  std::string& state, int key, std::map<int, std::string>& keymap, std::map<int, std::string>& keymap_shift, std::map<int, std::string>& keymap_altgr);
void adaptKeymapTable(std::map<int, std::string>& keymap, std::map<int, std::string>& keymap_shift, std::map<int, std::string>& keymap_altgr);


#endif // KEYMAPTABLE_H
